<script setup>
import { useKhronosStore } from "@/store"
import { storeToRefs } from "pinia";
import { computed } from "vue-demi";
import Vaults from "@/components/Vaults";

const store = useKhronosStore();

const { count } = storeToRefs(store)

const increment = () => {
  store.incrementCounter(5);
  console.log(count.value);
}

const doubleValue = computed (() => store.getMultipledCount);

</script>

<template>
  <div class="hello">
    {{count}}
    {{doubleValue}}
    <button v-on:click="increment">Add me</button>
    <vaults />
  </div>
</template>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
